## pandoc 1.12.4.2~dfsg

=== debian/changelog ===
pandoc (1.12.4.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update long descriptions:
    + Rewrap using Semantic Linefeeds.
    + Mention new reader Emacs Org-mode, and new writer InDesign ICML.
  * Update package relations:
    + Fix tighten GHC (build-)dependencies on quickcheck2 (although
      currently unused: testsuite is disabled).
    + Tighten GHC (build-)dependencies on texmath, pandoc-types, aeson,
      tagsoup, highlighting-kate and yaml.
    + Relax GHC (build-)dependencies on mtl, network and http-conduit.
    + Add GHC (build-)dependencies on scientific.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Fix double-indent subsequent copyright holders.
    + Extend packaging to cover recent years.
    + Bump licensing of packaging to GPL-3+.
    + Add GPL boilerplate to rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jun 2014 09:25:54 +0200

pandoc (1.12.3.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Closes: bug#738633.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten GHC (build-)dependencies on texmath, highlighting-kate.
    + Relax GHC (build-)dependencies on text, zip-archive, aeson,
      temporary, attoparsec, http-conduit, blaze-html, blaze-markup.
  * Suggest etoolbox, and clarify in long description when it is needed
    (PDF output of content with YAML metadata).
    Closes: bug#740099. Thanks to Michael D Johnson.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2014 15:57:19 +0100
