=== debian/changelog ===
pandoc (1.13.2.1~dfsg-1build6) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Aug 2015 12:41:52 +0100

pandoc (1.13.2.1~dfsg-1build5) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Aug 2015 18:54:49 +0100

pandoc (1.13.2.1~dfsg-1build4) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jul 2015 20:28:14 +0100

pandoc (1.13.2.1~dfsg-1build3) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jul 2015 09:52:34 +0100

pandoc (1.13.2.1~dfsg-1build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jul 2015 10:21:41 +0100

pandoc (1.13.2.1~dfsg-1build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jun 2015 20:27:06 +0100

pandoc (1.13.2.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Update to build with ghc 7.10.1.
    + Bump package upper bounds for filepath, blaze-html, blaze-markup.

  [ Jonas Smedegaard ]
  * Fix really enable network-uri as intended in 1.13.2~dfsg-2 (not only
    add needed package relations, but also drop negating build option).
  * Update package relations:
    + Fix tighten build-dependency on haskell-devscripts to versions
      using unversioned datadir.
    + Relax GHC upper bounds for blaze-html.
    + Relax to drop GHC lower bounds for text data-default scientific
      haddock-library deepseq-generics juicypixels quickcheck2: Needed
      versions satisfied even in oldstable.
    + Revert to build-depend unversioned on haskell-devscripts (was
      needed only for experimental builds).
  * Update copyright info:
    + Extend coverage for myself.
    + Merge identically licensed Flies-sections.
  * Bump debhelper compatibility level to 9.
  * Move packaging to pkg-haskell Alioth group.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Apr 2015 11:45:35 +0200

pandoc (1.13.2~dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Data dir is no longer versiond in haskell-devscripts

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 11:21:30 +0200

pandoc (1.13.2~dfsg-3) experimental; urgency=medium

  * Override binary-or-shlib-defines-rpath

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Apr 2015 20:51:55 +0200

pandoc (1.13.2~dfsg-2) experimental; urgency=medium

  [ Jonas Smedegaard ]
  * Fix GHC (build-)dependency resolving for text (broken since
    1.12.2.1-1, but apparently didn't effectively wreak havoc).

  [ Joachim Breitner ]
  * Switch to network-uri

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Apr 2015 19:41:07 +0200

pandoc (1.13.2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Exclude in repackaged upstream tarball docx files with ICC profiles
    lacking license.
  * Extract metadata from images, fonts and archives before copyright
    check (instead of just skipping them).
  * Update copyright info:
    + Add/remove copyright holders to reflect new upstream release.
    + Drop no longer used BSD-2-clause license.
    + Include full verbatim statement for public-domain image.
  * Update long descriptions to mention new reader txt2tags, and new
    writers DokuWiki and Haddock markup.
  * Set configure flag to avoid use of libraries not yet in Debian.
  * Update package relations:
    + Build-depend on libimage-exiftool-perl libregexp-assemble-perl
      libipc-system-simple-perl lcdf-typetools: Needed for metadata
      extraction.
    + Tighten GHC (build-)dependencies on zip-archive texmath
      pandoc-types aeson highlighting-kate.
    + Relax GHC (build-)dependencies on text random scientific.
    + Add GHC (build-)dependencies on sha haddock-library
      deepseq-generics juicypixels http-client http-client-tls.
    + Drop GHC (build-)dependencies on attoparsec http-conduit.
  * Update/unfuzz patches.

  [ Joachim Breitner ]
  * Depend on haskell-devscript (>= 0.9), to force building against
    experimental 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 30 Dec 2014 11:45:53 +0100
