=== debian/control ===
--- 
+++ 
@@ -9,56 +9,64 @@
  devscripts,
  debhelper,
  dh-buildinfo,
+ libimage-exiftool-perl,
+ libregexp-assemble-perl,
+ libipc-system-simple-perl,
+ lcdf-typetools,
  ghc,
  alex,
  happy,
  libghc-unordered-containers-dev (<< 3),
  libghc-parsec3-dev (<< 3.2),
  libghc-mtl-dev (<< 2.3),
- libghc-network-dev (<< 2.6),
- libghc-text-dev (<< 1.2),
- libghc-zip-archive-dev (>= 0.1.3.3),
+ libghc-network-dev (>= 2.6),
+ libghc-network-uri-dev (>= 2.6),
+ libghc-network-uri-dev (<< 2.7),
+ libghc-text-dev (<< 1.3),
+ libghc-zip-archive-dev (>= 0.2.3.4),
  libghc-zip-archive-dev (<< 0.3),
  libghc-http-dev (<< 1:4000.3),
- libghc-texmath-dev (>= 0.6.6.1),
- libghc-texmath-dev (<< 0.7),
+ libghc-texmath-dev (>= 0.8.0.1),
+ libghc-texmath-dev (<< 0.9),
  libghc-xml-dev (<< 1.4),
- libghc-random-dev (<<1.1 ),
+ libghc-random-dev (<<1.2 ),
  libghc-extensible-exceptions-dev (<< 0.2),
- libghc-pandoc-types-dev (>= 1.12.3.3),
+ libghc-pandoc-types-dev (>= 1.12.4),
  libghc-pandoc-types-dev (<< 1.13),
- libghc-aeson-dev (>= 0.7),
- libghc-aeson-dev (<< 0.8),
+ libghc-aeson-dev (>= 0.7.0.5),
+ libghc-aeson-dev (<< 0.9),
  libghc-tagsoup-dev (>= 0.13.1),
  libghc-tagsoup-dev (<< 0.14),
  libghc-base64-bytestring-dev (<< 1.1),
  libghc-zlib-dev (<< 0.6),
- libghc-highlighting-kate-dev (>= 0.5.8),
+ libghc-highlighting-kate-dev (>= 0.5.11.1),
  libghc-highlighting-kate-dev (<< 0.6),
- libghc-data-default-dev (>= 0.4),
  libghc-data-default-dev (<< 0.6),
  libghc-temporary-dev (<< 1.3),
  libghc-blaze-html-dev (>= 0.5),
- libghc-blaze-html-dev (<< 0.8),
+ libghc-blaze-html-dev (<< 0.9),
  libghc-blaze-markup-dev (<< 0.8),
- libghc-attoparsec-dev (<< 0.12),
  libghc-yaml-dev (>= 0.8.8.2),
  libghc-yaml-dev (<< 0.9),
- libghc-scientific-dev (>= 0.2),
- libghc-scientific-dev (<< 0.3),
+ libghc-scientific-dev (<< 0.4),
  libghc-hslua-dev (<< 0.4),
- libghc-http-conduit-dev (>= 1.9),
- libghc-http-conduit-dev (<< 2.2),
+ libghc-sha-dev (>= 1.6),
+ libghc-sha-dev (<< 1.7),
+ libghc-haddock-library-dev (<< 1.2),
+ libghc-deepseq-generics-dev (<< 0.2),
+ libghc-juicypixels-dev (<< 3.3),
+ libghc-http-client-dev (<< 0.5),
+ libghc-http-client-tls-dev (<< 0.3),
  libghc-http-types-dev (>= 0.8),
  libghc-http-types-dev (<< 0.9),
- libghc-text-dev (>= 0.11),
- libghc-text-dev (<< 0.12),
  libghc-syb-dev (<< 0.5),
  ghc-prof,
  libghc-unordered-containers-prof,
  libghc-parsec3-prof,
  libghc-mtl-prof,
  libghc-network-prof,
+ libghc-network-uri-prof,
+ libghc-text-prof,
  libghc-zip-archive-prof,
  libghc-http-prof,
  libghc-texmath-prof,
@@ -75,20 +83,24 @@
  libghc-temporary-prof,
  libghc-blaze-html-prof,
  libghc-blaze-markup-prof,
- libghc-attoparsec-prof,
  libghc-yaml-prof,
  libghc-scientific-prof,
  libghc-hslua-prof,
- libghc-http-conduit-prof,
+ libghc-sha-prof,
+ libghc-haddock-library-prof,
+ libghc-deepseq-generics-prof,
+ libghc-juicypixels-prof,
+ libghc-http-client-prof,
+ libghc-http-client-tls-prof,
  libghc-http-types-prof,
- libghc-text-prof,
  libghc-syb-prof,
- haskell-devscripts
+ haskell-devscripts (>= 0.8.19~)
 Build-Depends-Indep: ghc-doc
   , libghc-unordered-containers-doc
   , libghc-parsec3-doc
   , libghc-mtl-doc
   , libghc-network-doc
+  , libghc-network-uri-doc
   , libghc-text-doc
   , libghc-zip-archive-doc
   , libghc-http-doc
@@ -106,11 +118,15 @@
   , libghc-temporary-doc
   , libghc-blaze-html-doc
   , libghc-blaze-markup-doc
-  , libghc-attoparsec-doc
   , libghc-yaml-doc
   , libghc-scientific-doc
   , libghc-hslua-doc
-  , libghc-http-conduit-doc
+  , libghc-sha-doc
+  , libghc-haddock-library-doc
+  , libghc-deepseq-generics-doc
+  , libghc-juicypixels-doc
+  , libghc-http-client-doc
+  , libghc-http-client-tls-doc
   , libghc-http-types-doc
   , libghc-text-doc
   , libghc-syb-doc
@@ -121,10 +137,10 @@
   , libghc-pcre-light-doc
   , libghc-transformers-doc
   , libghc-utf8-string-doc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://johnmacfarlane.net/pandoc/
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/pandoc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pandoc.git
+Vcs-Git: git://anonscm.debian.org/pkg-haskell/pandoc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/pandoc.git
 
 Package: pandoc
 Architecture: any
@@ -139,12 +155,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -183,12 +200,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -228,12 +246,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -269,12 +288,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -311,29 +331,16 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
- and several kinds of HTML/javascript slide shows
- (S5, Slidy, Slideous, DZSlides, reveal.js).
- .
- Pandoc extends standard markdown syntax
- with footnotes, embedded LaTeX, definition lists, tables,
- and other features.
- A compatibility mode is provided
- for those who need a drop-in replacement for Markdown.pl.
- .
- In contrast to existing tools for converting markdown to HTML,
- which use regex substitutions,
- pandoc has a modular design:
- it consists of a set of readers, which parse text in a given format
- and produce a native representation of the document,
- and a set of writers,
- which convert this native representation into a target format.
- Thus,
- adding an input or output format requires only adding a reader or writer.
- .
- This package contains the profiling libraries for Pandoc.
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ and several kinds of HTML/javascript slide shows
+ (S5, Slidy, Slideous, DZSlides, reveal.js).
+ .
+ Pandoc extends standard markdown syntax
+ with footnotes, embedded LaTeX, definition lists, tables,
+ and other features.
